Subject: Re: dd if=/cygdrive/a of=foo.img doesn't work
From: Bob McGowan <[email-masked]>
To: [email-masked]
Cc: cygwin list <[email-masked]>
Date: Wed, 13 Sep 2000 09:17:13 -0700

[email-masked] wrote:
> 
> I would like to make a low copy of a
> 1.44 disk and I have only a NTworkstation
> on my hand. so I installed gnu tools from
> cygwin and I taped
> dd if=/cygdrive/a of=foo.img
> but I got this:
> dd: /cygdrive/a: Invalid argument
> 
> then I tried
> cat /cygdrive/a >foo.img
> 
> with the same err:
> cat: /cygdrive/a: Invalid argument
> 
> Why it doesn't work ? What can I do for a low copy ?

First, you need access to the Windows physical device, second it needs
to be mounted:

  mount -b //./a: /dev/fd0

then:

  dd if=/dev/fd0 of=file

I'm not sure if the -b option of mount is required, I use it to be
safe.  I also use -s with mount to make it a system wide mount so other
users (if any) will see it also.  And I tend to use the dd option bs=18k
which will do track at a time read/write of a 1.44MB floppy (80
tracks).  This makes a difference on standard UNIX systems.  I don't
know if it impacts performance for Cygwin.

I should mention that I just did this yesterday to write some floppy
images to a floppy disk, so it should work for you.

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]